Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/hideQrCode \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"posLocationId": "6orMqUyq2Hg3tP",
"terminalId": "6orMqUyq",
"sessionId": "SESSION_ID"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
posLocationId: '6orMqUyq2Hg3tP',
terminalId: '6orMqUyq',
sessionId: 'SESSION_ID'
})
};
fetch('https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/hideQrCode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/hideQrCode"
payload = {
"posLocationId": "6orMqUyq2Hg3tP",
"terminalId": "6orMqUyq",
"sessionId": "SESSION_ID"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/hideQrCode");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\",\n \"sessionId\": \"SESSION_ID\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);require 'uri'
require 'net/http'
url = URI("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/hideQrCode")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\",\n \"sessionId\": \"SESSION_ID\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/hideQrCode"
payload := strings.NewReader("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\",\n \"sessionId\": \"SESSION_ID\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/hideQrCode")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\",\n \"sessionId\": \"SESSION_ID\"\n}")
.asString();{
"data": {}
}curl --request POST \
--url https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/hideQrCode \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"posLocationId": "6orMqUyq2Hg3tP",
"terminalId": "6orMqUyq",
"sessionId": "SESSION_ID"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
posLocationId: '6orMqUyq2Hg3tP',
terminalId: '6orMqUyq',
sessionId: 'SESSION_ID'
})
};
fetch('https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/hideQrCode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/hideQrCode"
payload = {
"posLocationId": "6orMqUyq2Hg3tP",
"terminalId": "6orMqUyq",
"sessionId": "SESSION_ID"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/hideQrCode");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\",\n \"sessionId\": \"SESSION_ID\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);require 'uri'
require 'net/http'
url = URI("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/hideQrCode")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\",\n \"sessionId\": \"SESSION_ID\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/hideQrCode"
payload := strings.NewReader("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\",\n \"sessionId\": \"SESSION_ID\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/hideQrCode")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\",\n \"sessionId\": \"SESSION_ID\"\n}")
.asString();{
"data": {}
}JWT Authorization header using the Bearer scheme.
Enter JWT Bearer token only in the text input below.
POS System Id
Request
Success
Hide widget QR-code response